/* ============================================================
 * Author: M. Asselstine <asselsm@gmail.com>
 * Date  : 05-08-2005
 * Description : Main window,create menu,main widget,status bar
 * 
 * Copyright 2005 by M. Asselstine

 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * ============================================================ */


#ifndef _KFLICKR_H_
#define _KFLICKR_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kurl.h>
#include <kapplication.h>
#include <kparts/mainwindow.h>


/**
 * This is our main application class and from here
 * our menu and main widgets are created and managed.
 * @short Application Main Window.
 * @author M. Asselstine <asselsm@gmail.com>
 * @version 0.8
 */
class kflickr : public KParts::MainWindow
{
    Q_OBJECT
public:
    kflickr();
    virtual ~kflickr();
        
    void load(const KURL& url);

private:
    void setupActions();
            
private:
    KParts::ReadWritePart *m_part;
};

#endif // _KFLICKR_H_
